> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/executions

List executions for the current organization

` GET /v1/executions `

List executions for the current organization

## Parameters

### ` limit ` (query, optional)

Number of items (default 20, max 100)

- ` value `: type ` integer `

### ` offset ` (query, optional)

Offset for pagination (default 0)

- ` value `: type ` integer `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` hasMore `: type ` boolean `

    - ` items `: type ` array `

      - ` array item `: type ` object `

        - ` checkoutSessionId `: type ` string `

        - ` clientSafeMetadata `: type ` object `

        - ` createdAt `: type ` string `

        - ` externalRef `: type ` string `

        - ` finishedAt `: type ` string `

        - ` id `: type ` string `

        - ` idempotencyKey `: type ` string `

        - ` initiatedById `: type ` string `

        - ` initiatedByType `: type ` string `

        - ` orderId `: type ` string `

        - ` organizationId `: type ` string `

        - ` paymentStatus `: type ` string `

        - ` requestPayload `: type ` object `

        - ` responsePayload `: type ` object `

        - ` runId `: type ` string `

        - ` sourceEntityId `: type ` string `

        - ` sourceEntityType `: type ` string `

        - ` sourceSystem `: type ` string `

        - ` startedAt `: type ` string `

        - ` status `: type ` string `

          - enum: ` ["awaiting_payment","payment_confirmed","workflow_queued","workflow_running","workflow_waiting","workflow_succeeded","workflow_partial","workflow_failed","workflow_cancelled"] `

        - ` statusReason `: type ` string `

        - ` updatedAt `: type ` string `

        - ` workflowId `: type ` string `

    - ` limit `: type ` integer `

    - ` offset `: type ` integer `

  - ` message `: type ` string `

    - example: ` "success" `

  - ` requestId `: type ` string `

    - example: ` "abc-123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/executions' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/executions', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/executions', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/executions", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```